#import <ObjFW/ObjFW.h>
#import <ObjXMPP/ObjXMPP.h>
#include <gtk/gtk.h>

#import "JubChatClient.h"
#import "JubAvatarManager.h"

@class JubGtkChatUI;

@interface JubGtkRosterUI:
	OFObject <XMPPContactManagerDelegate, JubAvatarManagerDelegate>
{
	GtkWidget *_roster_window;
	GtkTreeStore *_roster_model;
	GtkTreeModelFilter *_roster_filter;
	GtkComboBox *_presence_combo;
	gulong _presence_combo_changed_handler_id;
	OFMapTable *_groupMap;
	OFMapTable *_subDialogMap;
	OFMutableDictionary *_contactMap;
	JubChatClient *_client;
	bool _showOffline;
}
@property (assign) bool showOffline;

- initWithClient: (JubChatClient*)client;
-      (void)client: (JubChatClient*)client
  didChangePresence: (XMPPPresence*)presence;
@end
